/* 
    Document   : main.css
    Created on : 22.02.2022, 22:22:22
    Author     : Carlos Cohen
    Description: Main style sheet for www.erichschimmel.de
*/

/* Site styles declaration */
/* Info: 16px = 12pt = 100% = 1em */

/* Universal reset */
* {
    border: 0;
    margin: 0;
    padding: 0;
}

article, figcaption, figure, header, hgroup, nav, section {
    display: inline-block;
}

body {
    color: black;
    font:normal 12px/1.5em "Montserrat", sans-serif;
    width:100%;
}

a {
    color: black;
    text-decoration: none;
}

footer {
    bottom: 0;
    height: 20px;
    position: relative;
    width: 100%;
}

ul {
    margin: 0 0 0 50px;
}

/* ID declaration */
#footerSeparator {
    background-color: gray;
    color: gray;
    height: 1px;
    margin: auto;
    width: 75%;
}

#logo_pic img {
    width: 100%;
}

#owner_pic {
    display: inline-block;
    float: left;
    max-width: 70%;
    min-width: 40%;
}

#owner_pic img {
    display: inline-block;
    max-width: 100%;
    min-width: 40%;
}

#tezLinks {
    display: inline-block;
    text-align: center;
    width: 100%;
}

/* Class declaration */

.boldLink {
    font-weight: bold;
}

.cardContainer {
    display: inline-block;
    margin: 0 0 0 0;
    max-width: 100%;
    min-width: 75%;
    vertical-align: top;
}

.cardTextualContent {
    float: right;
    max-width: 30%;
    min-width: 30%;
}

.content {
    display: inline-block;
    max-width: 100%;
    min-width: 100%;
    text-align: center;
} 

.founderText {
    font-size: 1em;
    font-weight: normal;
    line-height: 200%;
    margin: 20px 0 0 5px;
    vertical-align: top;
}

.jobDescriptor {
    font-size: 1em;
    font-weight: normal;
    vertical-align: top;
    word-spacing: 10px;
}

.languages {
    font-size: 0.8em;
    font-weight: bold;
    margin: 5px;
    max-width: 95%;
    min-width: 75%;
    text-align: right;
} 

.legal {
    bottom: 0;
    height: 10px;
    text-align: center;
    position: absolute;
    width: 100%;
}

.legalText {
    font-size: 1em;
    margin: 5px;
}

.nameDescriptor {
    color: #3F6F99;
    font-size: 3em;
    font-weight: bold;
    margin: 25px 0 0 0;
}

.portfolioTitle {
    font-size: medium;
    font-weight: bold;
}

.portfolioText {
    display: block;
    font-size: smaller;
    font-weight: normal;
}

.tezLinksBox {
    background-color: gainsboro;
    border-radius: 15px;
    border-style: solid;
    border-color: #18d26e;
    border-width: 2px;
    display: block;
    float: none;
    margin: auto;
    margin-bottom: 10px;
    padding: 10px;
    vertical-align: top;
    width: 200px;
}

.title {
    color: #3F6F99;
    font-size: 1.5em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.aboutMe {
    display: inline-block;
    margin: 25px 10px 10px 50px;
    max-width: 100%;
    min-width: 75%;
}

.aboutMeTitle {
    color: #3F6F99;
    font-size: 2em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.aboutMeText {
    font-size: 1em;
    font-weight: normal;
    line-height: 200%;
    margin: 0 0 0 0;
    text-align: left;
}

.aboutMe a {
    color: #3F6F99;
    text-decoration: none;
}

@media (max-width:900px) {
    #logo_pic img {
        width: 100%;
    }

    .founderText a {
        display: block;
    }

    .jobDescriptor {
        font-size: 0.8em;
        margin: 5px;
    }

    .languages {
        font-size: 0.6em;
    } 

    .legal {
        font-size: 0.7em;
    }

    .legalText {
        font-size: 0.7em;
        margin: 2px;
    }

    .nameDescriptor {
        font-size: 1.5em;
        margin: 5px;
    }

    .tezLinksBox { 
        max-width: 80%;
    }
}

@media (max-width:600px) {
    #logo_pic img {
        width: 80%;
    }

    #owner_pic {
        display: block;
        max-width: 100%;
    }

    .cardContainer {
        display: block;
        max-width: 100%;
        margin: auto;
    }

    .cardTextualContent {
        display: block;
        max-width: 100%;
    }
}

@media (max-width:250px) {
    #tezLinks {
        max-width: 80%;
        width: 80%;
    }

    .tezLinksBox {
        max-width: 80%;
        width: 80%;
    }
}